Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jreqtools
Class JReqTools

    java.lang.Object
      |
      +--jreqtools.JReqTools

public final class JReqTools
extends java.lang.Object

Method Summary
`static javax.swing.Action` | `getAboutAction(javax.swing.JFrame parent, java.lang.String abouttext)`
`static javax.swing.Icon` | `getIcon(java.lang.String name)`
`static java.lang.String` | `getResourceString(java.lang.String id)`
`static java.lang.String` | `getResourceString(java.lang.String id, java.lang.String arg1)`
`static byte` | `requestByte(javax.swing.JFrame parent, java.lang.String title, java.lang.String message, byte defaultValue)`
`static double` | `requestDouble(javax.swing.JFrame parent, java.lang.String title, java.lang.String message, double defaultValue)`
`static float` | `requestFloat(javax.swing.JFrame parent, java.lang.String title, java.lang.String message, float defaultValue)`
`static int` | `requestInteger(javax.swing.JFrame parent, java.lang.String title, java.lang.String message, int defaultValue)`
`static long` | `requestLong(javax.swing.JFrame parent, java.lang.String title, java.lang.String message, long defaultValue)`
`static java.lang.Object` | `requestObject(javax.swing.JFrame parent, java.lang.String title, java.lang.String message, java.lang.Object[] selectableValues)`
`static char[]` | `requestPassword(javax.swing.JFrame parent, java.lang.String title, java.lang.String message)`
`static short` | `requestShort(javax.swing.JFrame parent, java.lang.String title, java.lang.String message, short defaultValue)`
`static java.lang.String` | `requestString(javax.swing.JFrame parent, java.lang.String title, java.lang.String message, java.lang.String defaultValue)`
`static java.lang.String` | `requestText(javax.swing.JFrame parent, java.lang.String title, java.lang.String message, java.lang.String defaultValue)`
`static void` | `showAboutMessage(javax.swing.JFrame parent, java.lang.String message)`
`static void` | `showAboutMessage(java.lang.String message)`
`static void` | `showError(javax.swing.JFrame parent, java.lang.String message)`
`static void` | `showError(java.lang.String message)`
`static void` | `showException(javax.swing.JFrame parent, java.lang.Throwable throwable)`
`static void` | `showException(java.lang.Throwable throwable)`
`static void` | `showMessage(javax.swing.JFrame parent, java.lang.String message)`
`static void` | `showMessage(java.lang.String message)`
`static void` | `showNotYetImplemented()`
`static void` | `showNotYetImplemented(javax.swing.JFrame parent)`
`static boolean` | `showQuestion(javax.swing.JFrame parent, java.lang.String message)`
`static boolean` | `showQuestion(javax.swing.JFrame parent, java.lang.String question, java.lang.String yesButton, java.lang.String noButton)`
`static boolean` | `showQuestion(java.lang.String message)`
`static boolean` | `showQuestion(java.lang.String message, java.lang.String yesButton, java.lang.String noButton)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAboutAction

    public static javax.swing.Action getAboutAction(javax.swing.JFrame parent,
                                                    java.lang.String abouttext)

### getIcon

    public static javax.swing.Icon getIcon(java.lang.String name)

### getResourceString

    public static java.lang.String getResourceString(java.lang.String id)

### getResourceString

    public static java.lang.String getResourceString(java.lang.String id,
                                                     java.lang.String arg1)

### requestByte

    public static byte requestByte(javax.swing.JFrame parent,
                                   java.lang.String title,
                                   java.lang.String message,
                                   byte defaultValue)

### requestDouble

    public static double requestDouble(javax.swing.JFrame parent,
                                       java.lang.String title,
                                       java.lang.String message,
                                       double defaultValue)

### requestFloat

    public static float requestFloat(javax.swing.JFrame parent,
                                     java.lang.String title,
                                     java.lang.String message,
                                     float defaultValue)

### requestInteger

    public static int requestInteger(javax.swing.JFrame parent,
                                     java.lang.String title,
                                     java.lang.String message,
                                     int defaultValue)

### requestLong

    public static long requestLong(javax.swing.JFrame parent,
                                   java.lang.String title,
                                   java.lang.String message,
                                   long defaultValue)

### requestObject

    public static java.lang.Object requestObject(javax.swing.JFrame parent,
                                                 java.lang.String title,
                                                 java.lang.String message,
                                                 java.lang.Object[] selectableValues)

### requestPassword

    public static char[] requestPassword(javax.swing.JFrame parent,
                                         java.lang.String title,
                                         java.lang.String message)

### requestShort

    public static short requestShort(javax.swing.JFrame parent,
                                     java.lang.String title,
                                     java.lang.String message,
                                     short defaultValue)

### requestString

    public static java.lang.String requestString(javax.swing.JFrame parent,
                                                 java.lang.String title,
                                                 java.lang.String message,
                                                 java.lang.String defaultValue)

### requestText

    public static java.lang.String requestText(javax.swing.JFrame parent,
                                               java.lang.String title,
                                               java.lang.String message,
                                               java.lang.String defaultValue)

### showAboutMessage

    public static void showAboutMessage(java.lang.String message)

### showAboutMessage

    public static void showAboutMessage(javax.swing.JFrame parent,
                                        java.lang.String message)

### showError

    public static void showError(java.lang.String message)

### showError

    public static void showError(javax.swing.JFrame parent,
                                 java.lang.String message)

### showException

    public static void showException(java.lang.Throwable throwable)

### showException

    public static void showException(javax.swing.JFrame parent,
                                     java.lang.Throwable throwable)

### showMessage

    public static void showMessage(java.lang.String message)

### showMessage

    public static void showMessage(javax.swing.JFrame parent,
                                   java.lang.String message)

### showNotYetImplemented

    public static void showNotYetImplemented()

### showNotYetImplemented

    public static void showNotYetImplemented(javax.swing.JFrame parent)

### showQuestion

    public static boolean showQuestion(java.lang.String message)

### showQuestion

    public static boolean showQuestion(javax.swing.JFrame parent,
                                       java.lang.String message)

### showQuestion

    public static boolean showQuestion(java.lang.String message,
                                       java.lang.String yesButton,
                                       java.lang.String noButton)

### showQuestion

    public static boolean showQuestion(javax.swing.JFrame parent,
                                       java.lang.String question,
                                       java.lang.String yesButton,
                                       java.lang.String noButton)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD